# QSourceLocation Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QSourceLocation()
- void QSourceLocation(QSourceLocation other)
- void QSourceLocation(QUrl uri, int line, int column)

### Constructor Properties

- prototype: The QSourceLocation prototype object

### Prototype Object Properties

- qint64 column()
- bool isNull()
- qint64 line()
- bool operator_equal(QSourceLocation other)
- void setColumn(qint64 newColumn)
- void setLine(qint64 newLine)
- void setUri(QUrl newUri)
- QUrl uri()

### Instance Properties

QSourceLocation objects have no special properties beyond those inherited from the QSourceLocation prototype object.